SimpleAnnotationValueVisitor14 (Java SE 23 & JDK 23)
Description: declaration: module: java.compiler, package: javax.lang.model.util, class: SimpleAnnotationValueVisitor14
Keywords: javax.lang.model.util.SimpleAnnotationValueVisitor14 class

# Class SimpleAnnotationValueVisitor14<R,P>

java.lang.Object
javax.lang.model.util.AbstractAnnotationValueVisitor6<R,P>
javax.lang.model.util.SimpleAnnotationValueVisitor6<R,P>
javax.lang.model.util.SimpleAnnotationValueVisitor7<R,P>
javax.lang.model.util.SimpleAnnotationValueVisitor8<R,P>
javax.lang.model.util.SimpleAnnotationValueVisitor9<R,P>
javax.lang.model.util.SimpleAnnotationValueVisitor14<R,P>

Type Parameters:
  `R` - the return type of this visitor's methods
  `P` - the type of the additional parameter to this visitor's methods.

All Implemented Interfaces:
  `AnnotationValueVisitor<R,P>`

Direct Known Subclasses:
  `SimpleAnnotationValueVisitorPreviewPREVIEW`

@SupportedSourceVersion(RELEASE_23) public class SimpleAnnotationValueVisitor14<R,P> extends SimpleAnnotationValueVisitor9<R,P>
A simple visitor for annotation values with default behavior appropriate for source version `RELEASE_14`. Visit methods call `defaultAction` passing their arguments to `defaultAction`'s corresponding parameters.

API Note:
  Methods in this class may be overridden subject to their general contract.
Since:
  14
See Also:
  - Compatibility note for subclasses
  - `SimpleAnnotationValueVisitor6`
  - `SimpleAnnotationValueVisitor7`
  - `SimpleAnnotationValueVisitor8`
  - `SimpleAnnotationValueVisitor9`

- ## Field Summary

  ### Fields declared in class javax.lang.model.util.SimpleAnnotationValueVisitor6

  `DEFAULT_VALUE`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `SimpleAnnotationValueVisitor14()`
  Constructor for concrete subclasses; uses `null` for the default value.
  `protected`
  `SimpleAnnotationValueVisitor14(R defaultValue)`
  Constructor for concrete subclasses; uses the argument for the default value.

- ## Method Summary

  ### Methods declared in class javax.lang.model.util.SimpleAnnotationValueVisitor6

  `defaultAction, visitAnnotation, visitArray, visitBoolean, visitByte, visitChar, visitDouble, visitEnumConstant, visitFloat, visitInt, visitLong, visitShort, visitString, visitType`

  ### Methods declared in class javax.lang.model.util.AbstractAnnotationValueVisitor6

  `visit, visit, visitUnknown`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SimpleAnnotationValueVisitor14

    protected SimpleAnnotationValueVisitor14()
    Constructor for concrete subclasses; uses `null` for the default value.

  - ### SimpleAnnotationValueVisitor14

    protected SimpleAnnotationValueVisitor14(R defaultValue)
    Constructor for concrete subclasses; uses the argument for the default value.
    Parameters:
      `defaultValue` - the value to assign to `SimpleAnnotationValueVisitor6.DEFAULT_VALUE`